MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029292Open CASCADE[OCCT] OCCT:Codingpublic2017-11-02 16:282018-06-29 21:19
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029292: Coding Rules - remove Graphic3d_Vector duplicating gp_XYZ
DescriptionGraphic3d_Vector is confusing class used internally within package V3d and duplicating functionality of gp_XYZ / NCollection_Vec3.

It is better removing this class to avoid code duplication and confusion.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0023634closedkgv Open CASCADE Eliminate Polyline and Polygon usage in drawers 

-  Notes
(0071954)
git (administrator)
2017-11-02 17:07

Branch CR29292 has been created by kgv.

SHA-1: 6fef23e8e1708bf275e4b82e7b106bf4b20b57a9


Detailed log of new commits:

Author: kgv
Date: Thu Nov 2 16:29:17 2017 +0300

    0029292: Coding Rules - remove Graphic3d_Vector duplicating gp_XYZ
    
    Graphic3d_Vector has been replaced by gp_Pnt/gp_XYZ/gp_Dir depending on context.
(0071976)
git (administrator)
2017-11-03 12:36

Branch CR29292 has been updated by kgv.

SHA-1: 6eb049054900699261b6527a0630dd756361d897


Detailed log of new commits:

Author: kgv
Date: Fri Nov 3 12:36:32 2017 +0300

    StdSelect_ViewerSelector3d::ToPixMap() - fixed unsafe float math causing out-of-range color results.
    
    # delete useless test case

(0071977)
git (administrator)
2017-11-03 12:38

Branch CR29292_1 has been created by kgv.

SHA-1: 3c5228f056d4b5f873eae23f9fa8e2ca3cab9022


Detailed log of new commits:

Author: kgv
Date: Thu Nov 2 16:29:17 2017 +0300

    0029292: Coding Rules - remove Graphic3d_Vector duplicating gp_XYZ
    
    Graphic3d_Vector has been replaced by gp_Pnt/gp_XYZ/gp_Dir depending on context.
    StdSelect_ViewerSelector3d::ToPixMap() - fixed unsafe float math causing out-of-range color results.
(0071986)
kgv (developer)
2017-11-03 16:28

Please take the patch.

http://jenkins-test-10.nnov.opencascade.com/view/CR29292_1-CR29292_1-KGV [^]
(0072008)
bugmaster (administrator)
2017-11-07 10:56
edited on: 2017-11-07 18:12

Combination -
OCCT branch : CR29292_1 SHA-1: 3c5228f056d4b5f873eae23f9fa8e2ca3cab9022
Products branch : CR29292_1 SHA-1: 00a1e0badb8165b056fdaed83d6a3c79583a5d6f
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Linux:
OCCT
Total CPU difference: 21006.4900000003 / 20729.580000000464 [+1.34%]
Products
Total CPU difference: 7925.700000000087 / 7934.890000000088 [-0.12%]
Windows:
OCCT
Total CPU difference: 18624.148184798418 / 18506.77303239847 [+0.63%]
Products
Total CPU difference: 8034.925105599915 / 7981.338762099939 [+0.67%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

(0072154)
git (administrator)
2017-11-10 12:15

Branch CR29292 has been deleted by kgv.

SHA-1: 6eb049054900699261b6527a0630dd756361d897
(0072155)
git (administrator)
2017-11-10 12:15

Branch CR29292_1 has been deleted by kgv.

SHA-1: 3c5228f056d4b5f873eae23f9fa8e2ca3cab9022

- Related Changesets
occt: master 21b2385f
Timestamp: 2017-11-02 13:29:17
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029292: Coding Rules - remove Graphic3d_Vector duplicating gp_XYZ

Graphic3d_Vector has been replaced by gp_Pnt/gp_XYZ/gp_Dir depending on context.
StdSelect_ViewerSelector3d::ToPixMap() - fixed unsafe float math causing out-of-range color results.
mod - src/DsgPrs/DsgPrs.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_SymmetricPresentation.cxx Diff ] File ]
mod - src/Graphic3d/FILES Diff ] File ]
mod - src/Graphic3d/Graphic3d_Structure.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Structure.hxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_Vector.cxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_Vector.hxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_VectorError.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.hxx Diff ] File ]
mod - src/QABugs/QABugs_11.cxx Diff ] File ]
mod - src/StdSelect/StdSelect_ViewerSelector3d.cxx Diff ] File ]
mod - src/V3d/V3d.cxx Diff ] File ]
mod - src/V3d/V3d.hxx Diff ] File ]
mod - src/V3d/V3d_CircularGrid.cxx Diff ] File ]
mod - src/V3d/V3d_DirectionalLight.cxx Diff ] File ]
mod - src/V3d/V3d_DirectionalLight.hxx Diff ] File ]
mod - src/V3d/V3d_Light.cxx Diff ] File ]
mod - src/V3d/V3d_Light.hxx Diff ] File ]
mod - src/V3d/V3d_PositionalLight.cxx Diff ] File ]
mod - src/V3d/V3d_PositionalLight.hxx Diff ] File ]
mod - src/V3d/V3d_PositionLight.cxx Diff ] File ]
mod - src/V3d/V3d_PositionLight.hxx Diff ] File ]
mod - src/V3d/V3d_SpotLight.cxx Diff ] File ]
mod - src/V3d/V3d_SpotLight.hxx Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]
mod - src/V3d/V3d_View.hxx Diff ] File ]
mod - src/V3d/V3d_View_2.cxx Diff ] File ]
mod - src/V3d/V3d_View_3.cxx Diff ] File ]
mod - src/V3d/V3d_View_4.cxx Diff ] File ]
rm - tests/bugs/vis/bug22762 Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-11-02 16:28 kgv New Issue
2017-11-02 16:28 kgv Assigned To => kgv
2017-11-02 16:37 kgv Relationship added related to 0023634
2017-11-02 17:07 git Note Added: 0071954
2017-11-03 12:36 git Note Added: 0071976
2017-11-03 12:38 git Note Added: 0071977
2017-11-03 16:28 kgv Note Added: 0071986
2017-11-03 16:28 kgv Assigned To kgv => bugmaster
2017-11-03 16:28 kgv Status new => resolved
2017-11-03 16:28 kgv Status resolved => reviewed
2017-11-03 16:28 kgv Relationship added related to 0029290
2017-11-07 10:56 bugmaster Note Added: 0072008
2017-11-07 10:56 bugmaster Status reviewed => tested
2017-11-07 10:56 bugmaster Test case number => Not required
2017-11-07 18:12 bugmaster Note Edited: 0072008 View Revisions
2017-11-10 10:13 bugmaster Changeset attached => occt master 21b2385f
2017-11-10 10:13 bugmaster Status tested => verified
2017-11-10 10:13 bugmaster Resolution open => fixed
2017-11-10 12:15 git Note Added: 0072154
2017-11-10 12:15 git Note Added: 0072155
2018-02-20 12:58 user533 Target Version 7.4.0* => 7.3.0
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker